Subject: [PATCH v2 0/7] of: setup dma parameters using dma-ranges and dma-coherent

From: [email-masked] (Catalin Marinas)
Date: Tue, 22 Apr 2014 17:01:03 +0100

On Tue, Apr 22, 2014 at 04:30:36PM +0100, Rob Herring wrote:
> On Tue, Apr 22, 2014 at 10:25 AM, Catalin Marinas
> <[email-masked]> wrote:
> > On Tue, Apr 22, 2014 at 04:02:19PM +0100, Arnd Bergmann wrote:
> >> On Saturday 19 April 2014, Thomas Petazzoni wrote:
> 
> [...]
> 
> >> I would hope we can find a way to avoid the platform notifiers for
> >> mvebu as well and come up with a generic way to express this
> >> 'semi-coherent' mode. I believe x-gene has a similar issue, and
> >> I wouldn't be surprised if there are others like this.
> >
> > The solution is for the snooping unit to detect the DSB instruction
> > (which is propagated outside the CPU) and wait for the completion of the
> > coherency work (but we need more information from the hardware guys).
> 
> If the solution was fixing broken h/w, we'd all be retired (or h/w
> designers). :)

At least they could admit it's a hardware bug and hopefully won't do the
same mistake in the future (wishful thinking ;)).

-- 
Catalin